import { AppMP } from '../appmp';
import { ViewBase } from '../../libappbase/viewbase';
import { UIWaitSOP } from '../../libappsop/objectsop';
import { FormForecasts } from '../forms/form.forecasts';

export class ViewForecasts extends ViewBase implements UIWaitSOP {
  public readonly name = 'Forecasts supply chain';
  public readonly viewPath = 'Sales > Forecasts';

  public formForecasts = new FormForecasts();

  /**
   * Switch to Forecasts View
   */
  public async switchTo(): Promise<void> {
    const appMP = AppMP.getInstance();
    // Click Sales action bar page
    await appMP.abpSales.click();
    await appMP.abpSales.btnForecasts.click();

    await this.waitUILoaded();
  }

  public async waitUILoaded(): Promise<void> {
    await this.formForecasts.waitUntilPresent();
  }
}
